{
	"name": "form/nc/nc-define/component-property/nc-property-input.json",
	"layout": {
		"component": "nc-row",
		"attribute": {
			"id": "nc-property-input"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Type",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string",
									"default": "text"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Required",
								"attribute": [
									
								]
							},
							{
								"component": "nc-checkbox",
								"attribute": [
									
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "LabelStyle",
								"attribute": [
									
								]
							},
							{
								"component": "nc-dropdown",
								"attribute": {
									"value": ["String", "Object"]
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Disabled",
								"attribute": [
									
								]
							},
							{
								"component": "nc-checkbox",
								"attribute": [
									
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Autocomplete",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Hover",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Horizontal",
								"attribute": [
									
								]
							},
							{
								"component": "nc-checkbox",
								"attribute": [
									
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "ContainerStyle",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Clean",
								"attribute": [
									
								]
							},
							{
								"component": "nc-dropdown",
								"attribute": {
									"value": ["Boolean", "String"]
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Focus",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "function"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Readonly",
								"attribute": [
									
								]
							},
							{
								"component": "nc-checkbox",
								"attribute": [
									
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Blur",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "function"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Width",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "InputWidth",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Height",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Model",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Hdr",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "CalendarType",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "StartMode",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "StartCalendar",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "EndCalendar",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Name",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Rows",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Placeholder",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Value",
								"attribute": [
									
								]
							},
							{
								"component": "nc-dropdown",
								"attribute": {
									"value": ["String", "Number", "Boolean"]
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Id",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "InputStyle",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "50%"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "LabelWidth",
								"attribute": [
									
								]
							},
							{
								"component": "nc-input",
								"attribute": {
									"type": "string"
								}
							}
						]
					}
				]
			}
		]
	}
}
